Package org.flowable.bpmn.model.alfresco

# Class AlfrescoUserTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.UserTask
org.flowable.bpmn.model.alfresco.AlfrescoUserTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`, `HasValidateFormFields`

public class AlfrescoUserTask extends UserTask

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALFRESCO_SCRIPT_TASK_LISTENER`
  `protected String`
  `runAs`
  `protected String`
  `scriptProcessor`

  ### Fields inherited from class org.flowable.bpmn.model.UserTask

  `assignee, businessCalendarName, candidateGroups, candidateUsers, category, customGroupIdentityLinks, customProperties, customUserIdentityLinks, dueDate, extensionId, formKey, formProperties, owner, priority, sameDeployment, skipExpression, taskCompleterVariableName, taskIdVariableName, taskListeners, validateFormFields`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlfrescoUserTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AlfrescoUserTask`
  `clone()`
  `String`
  `getRunAs()`
  `String`
  `getScriptProcessor()`
  `void`
  `setRunAs(String runAs)`
  `void`
  `setScriptProcessor(String scriptProcessor)`
  `void`
  `setValues(AlfrescoUserTask otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.UserTask

  `addCustomGroupIdentityLink, addCustomUserIdentityLink, getAssignee, getBusinessCalendarName, getCandidateGroups, getCandidateUsers, getCategory, getCustomGroupIdentityLinks, getCustomProperties, getCustomUserIdentityLinks, getDueDate, getExtensionId, getFormKey, getFormProperties, getOwner, getPriority, getSkipExpression, getTaskCompleterVariableName, getTaskIdVariableName, getTaskListeners, getValidateFormFields, isExtended, isSameDeployment, setAssignee, setBusinessCalendarName, setCandidateGroups, setCandidateUsers, setCategory, setCustomGroupIdentityLinks, setCustomProperties, setCustomUserIdentityLinks, setDueDate, setExtensionId, setFormKey, setFormProperties, setOwner, setPriority, setSameDeployment, setSkipExpression, setTaskCompleterVariableName, setTaskIdVariableName, setTaskListeners, setValidateFormFields, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ALFRESCO_SCRIPT_TASK_LISTENER

    public static final String ALFRESCO_SCRIPT_TASK_LISTENER
    See Also:
      - Constant Field Values

  - ### runAs

    protected String runAs

  - ### scriptProcessor

    protected String scriptProcessor

- ## Constructor Details

  - ### AlfrescoUserTask

    public AlfrescoUserTask()

- ## Method Details

  - ### getRunAs

    public String getRunAs()

  - ### setRunAs

    public void setRunAs(String runAs)

  - ### getScriptProcessor

    public String getScriptProcessor()

  - ### setScriptProcessor

    public void setScriptProcessor(String scriptProcessor)

  - ### clone

    public AlfrescoUserTask clone()
    Overrides:
      `clone` in class `UserTask`

  - ### setValues

    public void setValues(AlfrescoUserTask otherElement)